<template>
  <div
    :style="{ background: bg_color, color: text_color }"
    class="get-in-touch"
  >
    <div class="container">
      <h2>
        {{ title }}
      </h2>

      <div class="apply-wrap">
        <svg
          width="1195"
          height="76"
          viewBox="0 0 1195 76"
          fill="none"
          xmlns="http://www.w3.org/2000/svg"
          class="arrow"
        >
          <path d="M1159 1L1194 38L1159 75" :stroke="text_color" />
          <line y1="37.5" x2="1194" y2="37.5" :stroke="text_color" />
        </svg>

        <a
          :style="{ color: btn_text_color, background: text_color }"
          :href="link"
          target="_blank"
          rel="noopener noreferrer"
        >
          <h6>{{ link_text }}</h6></a
        >
      </div>

      <!-- <h6 class="deadline">
        Appilication Deadline<br />
        {{ program_data.application_deadline }}
      </h6> -->
    </div>
  </div>
</template>

<script>
export default {
  props: {
    title: {
      type: String,
      default: "",
    },
    bg_color: {
      type: String,
      default: "#d00000",
    },
    text_color: {
      type: String,
      default: "white",
    },
    link: {
      type: String,
      default: "",
    },
    link_text: {
      type: String,
      default: "Apply",
    },
    btn_text_color: {
      type: String,
      default: "#d00000",
    },
  },
  data() {
    return {
      cta_arrow_image: require("~/assets/images/cta_arrow.png"),
    };
  },
};
</script>

<style lang="scss" scoped>
.get-in-touch {
  padding: 60px 0 40px 0;
  .apply-wrap {
    display: flex;
    align-items: center;
    margin-top: 16px;
    @include media-breakpoint(mobile) {
      display: block;
    }
    .arrow {
      flex: 1;
      max-width: 100%;
    }
    a {
      border: none;
      padding: 12px 24px;
      flex: none;
      margin-left: 80px;
      text-decoration: none;
      display: block;
      @include media-breakpoint(mobile) {
        margin: 16px 0 0 0;
        width: 100%;
      }
    }
  }
  .deadline {
    font-weight: normal;
    margin-top: 16px;
  }
}
</style>
